Skip to main content
POST
/
bbps
/
cou
/
v1
/
billers
/
request
/
complaint
Transaction Status & Complaint Request
curl --request POST \
  --url https://sandbox.cashfree.com/bbps/cou/v1/billers/request/complaint \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "txn_status_complain_request": {
    "bill_fetch_ref_id": "HENSVVR4QOS7X1UGPY7JGUV444P10102202",
    "txn": {
      "ts": "2021-01-10T22:02:45+05:30",
      "xchange_id": "401"
    },
    "txn_status_complain_req": {
      "complaint_type": "Transaction",
      "mobile": "9876543210",
      "transaction_ref_id": "OU011010ABCD12345601",
      "complaint_id": null,
      "super_level_esc": false,
      "reopen_complaint": false
    }
  }
}
'
{
  "status": "ACCEPTED",
  "message": "Transaction status request accepted for processing",
  "data": {
    "bill_fetch_ref_id": "HENSVVR4QOS7X1UGPY7JGUV444P10102202",
    "transaction_ref_id": "OU011010ABCD12345678",
    "status": "PROCESSING",
    "msg_id": "8ENSVVR4QOS7X1UGPY7JGUV444P10102202"
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

Your unique client secret issued by Cashfree. Keep this confidential and never expose it in client-side code. You can find this in your Merchant Dashboard.

Body

application/json

Request parameters to submit a transaction status check or complaint request.

txn_status_complain_request
object
required

Response

Success response for submitting a transaction status check or complaint request.

status
string
Example:

"ACCEPTED"

message
string
Example:

"Transaction status request accepted for processing"

data
object